Freeciv-3.3: menu_entry_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
menu_entry_info Struct Reference

## Data Fields

const char * | key
const char * | name
guint | accel
GdkModifierType | accel_mod
GCallback | cb
enum menu_entry_grouping | grouping
const char * | action
const char * | accl
void(* | toggle )(GSimpleAction *act, GVariant *value, gpointer data)
bool | state

## Detailed Description

Definition at line 97 of file menu.c.

## Field Documentation

## ◆ accel

guint menu_entry_info::accel

Definition at line 100 of file menu.c.

Referenced by menu_entry_init().

## ◆ accel_mod

GdkModifierType menu_entry_info::accel_mod

Definition at line 101 of file menu.c.

Referenced by menu_entry_init().

## ◆ accl

const char * menu_entry_info::accl

Definition at line 95 of file menu.c.

Referenced by create_toggle_menu_item(), and setup_app_actions().

## ◆ action

const char * menu_entry_info::action

Definition at line 94 of file menu.c.

Referenced by create_toggle_menu_item(), menu_entry_init(), menu_entry_set_sensitive_info(), and menus_rename().

## ◆ cb

GCallback menu_entry_info::cb

Definition at line 102 of file menu.c.

Referenced by menu_entry_init(), and view_menu_item_toggle().

## ◆ grouping

enum menu_entry_grouping menu_entry_info::grouping

Definition at line 103 of file menu.c.

## ◆ key

const char * menu_entry_info::key

Definition at line 98 of file menu.c.

Referenced by find_menu(), menu_entry_group_set_sensitive(), menu_entry_group_set_sensitive(), menu_entry_info_find(), menu_entry_init(), menu_entry_init(), menu_entry_set_active(), menu_entry_set_sensitive(), menu_entry_set_sensitive(), menu_entry_set_visible(), menus_rename(), menus_rename(), setup_app_actions(), setup_menus(), setup_menus(), and view_menu_item_toggle().

## ◆ name

const char * menu_entry_info::name

Definition at line 99 of file menu.c.

Referenced by create_toggle_menu_item(), menu_entry_init(), and menu_entry_init().

## ◆ state

bool menu_entry_info::state

Definition at line 98 of file menu.c.

Referenced by create_toggle_menu_item(), full_screen_callback(), menus_set_initial_toggle_values(), real_menus_update(), save_options_on_exit_callback(), toggle_fog_callback(), and view_menu_item_toggle().

## ◆ toggle

void(* menu_entry_info::toggle)(GSimpleAction *act, GVariant *value, gpointer data)

Definition at line 97 of file menu.c.

Referenced by menu_entry_init(), and setup_app_actions().